EndUsers
Get the business and owner details of an end user
Returns the applicant’s business and its owners, with one value per field. _sources gives the source of each value.
custom_entities holds your custom fields.
GET
/
api
/
end_users
/
{end_user_heron_id}
/
details
Get the business and owner details of an end user
curl --request GET \
--url https://app.herondata.io/api/end_users/{end_user_heron_id}/details \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.herondata.io/api/end_users/{end_user_heron_id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"business": {
"_sources": {},
"billing_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"entity_type": "llc",
"heron_id": "<string>",
"identifiers": [
{
"_source": "<string>",
"country": "<string>",
"type": "us_ein",
"value": "<string>"
}
],
"industry": {
"_sources": {},
"code": "<string>",
"description": "<string>",
"heron_id": "<string>",
"scheme": "naics"
},
"legal_name": "<string>",
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"physical_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
},
"standing": "active",
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"custom_entities": {},
"owners": [
{
"_sources": {},
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
}
],
"country_of_residence": "<string>",
"credit_scores": [
{
"score": 123,
"_sources": {},
"bureau": "equifax",
"heron_id": "<string>",
"score_model": "fico",
"score_model_raw": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"deceased_on": "2023-12-25",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"heron_id": "<string>",
"home_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"is_deceased": true,
"mobile_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
},
"national_ids": [
{
"_source": "<string>",
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"type": "us_ssn",
"value": "<string>"
}
],
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"ownership_percentage": 123,
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
}
}
]
}Authorizations
Path Parameters
The Heron ID of the end user
Response
OK
The business and its owners, with one value per field.
The applicant's business.
Show child attributes
Show child attributes
Your custom fields, grouped by entity name. Each entity has its values and a _sources object with the source of each value.
Show child attributes
Show child attributes
The business owners. Owners named by more sources come first, then the largest ownership percentage, then the order on the application.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get the business and owner details of an end user
curl --request GET \
--url https://app.herondata.io/api/end_users/{end_user_heron_id}/details \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/end_users/{end_user_heron_id}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.herondata.io/api/end_users/{end_user_heron_id}/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.herondata.io/api/end_users/{end_user_heron_id}/details"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.herondata.io/api/end_users/{end_user_heron_id}/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"business": {
"_sources": {},
"billing_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"dba": "<string>",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"entity_type": "llc",
"heron_id": "<string>",
"identifiers": [
{
"_source": "<string>",
"country": "<string>",
"type": "us_ein",
"value": "<string>"
}
],
"industry": {
"_sources": {},
"code": "<string>",
"description": "<string>",
"heron_id": "<string>",
"scheme": "naics"
},
"legal_name": "<string>",
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"physical_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
},
"standing": "active",
"started_on": {
"day": 123,
"month": 123,
"year": 123
},
"state_of_incorporation": "<string>",
"website": "<string>"
},
"custom_entities": {},
"owners": [
{
"_sources": {},
"aliases": [
{
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
}
],
"country_of_residence": "<string>",
"credit_scores": [
{
"score": 123,
"_sources": {},
"bureau": "equifax",
"heron_id": "<string>",
"score_model": "fico",
"score_model_raw": "<string>",
"score_version_raw": "<string>",
"scored_on": "2023-12-25"
}
],
"date_of_birth": {
"day": 123,
"month": 123,
"year": 123
},
"deceased_on": "2023-12-25",
"emails": [
{
"_source": "<string>",
"email_address": "<string>"
}
],
"heron_id": "<string>",
"home_address": {
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
},
"home_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"is_deceased": true,
"mobile_phone_number": {
"_sources": {},
"country_code": "<string>",
"heron_id": "<string>",
"is_valid": true,
"line_type": "fixed_line",
"national_destination_code": "<string>",
"normalized": "<string>",
"raw": "<string>",
"subscriber_number": "<string>"
},
"name": {
"given": "<string>",
"middle": "<string>",
"prefix": "<string>",
"raw": "<string>",
"suffix": "<string>",
"surname": "<string>",
"type": "legal"
},
"national_ids": [
{
"_source": "<string>",
"country": "<string>",
"expires_on": "2023-12-25",
"state": "<string>",
"type": "us_ssn",
"value": "<string>"
}
],
"other_addresses": [
{
"_sources": {},
"city": "<string>",
"country": "<string>",
"heron_id": "<string>",
"is_po_box": true,
"line_1": "<string>",
"line_2": "<string>",
"postal_code": "<string>",
"raw": "<string>",
"state_province": "<string>"
}
],
"ownership_percentage": 123,
"social_media": {
"facebook": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"instagram": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
},
"linkedin": {
"_sources": {},
"heron_id": "<string>",
"url": "<string>"
}
}
}
]
}